LazyLoadAction< Field_T > Class Template Referenceabstract

`#include <MIPBase.h>`

## Public Types

typedef boost::shared_ptr< LazyLoadAction< Field_T > > | Ptr
typedef std::vector< Ptr > | Vec

## Public Member Functions

virtual Field_T::Ptr | load () const =0
| Performs the loading of the pre-determined field and returns a pointer to it.
virtual | ~LazyLoadAction ()

## Detailed Description

template<class Field_T>
class LazyLoadAction< Field_T >

This run-time functor holds an action that executes the loading of a field. The template argument is the return type of the functor;

Definition at line 71 of file MIPBase.h.

## Member Typedef Documentation

## Ptr

template<class Field_T>

typedef boost::shared_ptr<LazyLoadAction<Field_T> > LazyLoadAction< Field_T >::Ptr

Definition at line 77 of file MIPBase.h.

## Vec

template<class Field_T>

typedef std::vector<Ptr> LazyLoadAction< Field_T >::Vec

Definition at line 78 of file MIPBase.h.

## Constructor & Destructor Documentation

## ~LazyLoadAction()

template<class Field_T>

virtual LazyLoadAction< Field_T >::~LazyLoadAction | ( |  | ) |

inline virtual

Definition at line 80 of file MIPBase.h.

{ }

## Member Function Documentation

## load()

template<class Field_T>

virtual Field_T::Ptr LazyLoadAction< Field_T >::load | ( |  | ) | const

pure virtual

Performs the loading of the pre-determined field and returns a pointer to it.

The documentation for this class was generated from the following file:

- export/MIPBase.h